curl --request GET \
--url https://api.smokeball.com/notifications/{id} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/notifications/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "e2fd015b-8a60-42be-9ea4-b2ef7aa0289b",
"createdByUserId": "db0b4298-67ef-4638-a92a-5bb830ea6af6",
"createdDate": "\"832e778f-83df-454a-b344-768a862a7e67\"",
"icon": "",
"iconColor": "#25C9A4",
"message": "[@staffId] has **assigned** you a Task.",
"toastyIcon": "<string>",
"toastyMessage": "<string>",
"isRead": false,
"hasBeenSeen": false,
"creationTimestamp": "2023-11-07T05:31:56Z",
"updatedDate": "2020-02-15T00:00:00Z",
"isDeleted": false
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get a notification
Retrieves a specified notification.
Path Parameters
Response
When request is successful. Returns a 'Notification' object.
Show child attributes
Show child attributes
Unique identifier of the notification.
"e2fd015b-8a60-42be-9ea4-b2ef7aa0289b"
The user that created this notification.
"db0b4298-67ef-4638-a92a-5bb830ea6af6"
Staff id to notify.
"\"832e778f-83df-454a-b344-768a862a7e67\""
The icon to display for the notification.
""
The icon hex color to display for the notification.
"#25C9A4"
The message to display for the notification.
"[@staffId] has **assigned** you a Task."
The icon to display for the toast notification.
The message to display for the message.
True if the notification has been forcefully read by the user.
This is different to the property - which is not forceful.
false
True if the notification was "seen" by the user.
This is different to the forceful "read" state.
false
The time the notification was created.
The last time the notification was modified (marked as read, deleted etc).
"2020-02-15T00:00:00Z"
True if the notification has been deleted.
false